Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.je
Class JELock

    java.lang.Object
      org.apache.lucene.store.Lock
          org.apache.lucene.store.je.JELock

    public class JELock

extends Lock

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.store.Lock
`Lock.With`

Field Summary

Fields inherited from class org.apache.lucene.store.Lock
`failureReason, LOCK_OBTAIN_WAIT_FOREVER, LOCK_POLL_INTERVAL`

Constructor Summary
`JELock()`

Method Summary
`boolean` | `isLocked()`
`boolean` | `obtain()`
`void` | `release()`

Methods inherited from class org.apache.lucene.store.Lock
`obtain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JELock

    public JELock()

Method Detail

### obtain

    public boolean obtain()

  Specified by:
    `obtain` in class `Lock`

### release

    public void release()

  Specified by:
    `release` in class `Lock`

### isLocked

    public boolean isLocked()

  Specified by:
    `isLocked` in class `Lock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.